//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: mandamiento_recibos_qwsr.js
// Created: 2022-09-23
// Updates: 2022-09-23
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
var OpenWindows = {};
//-------------------------------------------------------//
window.onload = function(){

};
//-------------------------------------------------------//
//LEVEL 1
function eliminarMandamiento(objRef){
	var objIndx	= objRef.name.split("__");
	var ok 		= confirm("Desea Elminar");
	if (ok!==true) {
        return;
    }
	var mid = document.getElementById("i8_mandamiento_id__"+objIndx[1]).value;	
	var r = new XMLHttpRequest();
	r.open("GET",'../pl/mandamiento.update.pl?mid='+mid, true);
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
        //alert(r.responseText);
        //document.linkf.i8_agua_id.value=r.responseText;
		if(r.responseText!=""){
			alert(r.responseText);
		}
	};
	r.send();
}
function generarReciboPDF(objRef){
	var objIndx	= objRef.name.split("__");
	var mid = document.getElementById("i8_mandamiento_id__"+objIndx[1]).value;
    var winame 	= "ExpedienteObservaciones";
	if (!OpenWindows[winame] || OpenWindows[winame].closed){
		OpenWindows[winame]= window.open("../pl/reciboPDF.pl?mid="+mid,winame+"Rept","left=150,top=100,width=900,height=600,scrollbars=1,toolbar=0,menubar=0,resizable=1,location=0,status=0");
	}else{OpenWindows[winame].focus();}
}
function generarRecibo(objRef){
	var objIndx	= objRef.name.split("__");
	var mid = document.getElementById("i8_mandamiento_id__"+objIndx[1]).value;
    var winame 	= "ExpedienteObservaciones";
	if (!OpenWindows[winame] || OpenWindows[winame].closed){
		OpenWindows[winame]= window.open("../pl/recibo.p.pl?mid="+mid,winame+"Pro","left=150,top=100,width=1024,height=600,scrollbars=1,toolbar=0,menubar=0,resizable=1,location=0,status=0");
	}else{OpenWindows[winame].focus();}
}
//-------------------------------------------------------//
//LEVEL 2

//-------------------------------------------------------//
//AUXILIAR
function ProcessPage(){
	setTimeout("GetClase()",1000);
}